# TdApi.MessagePassportDataReceived (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: MessagePassportDataReceived

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessagePassportDataReceived

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessagePassportDataReceived

Enclosing class:
  TdApi

public static final class TdApi.MessagePassportDataReceived extends TdApi.MessageContent
Telegram Passport data has been received; for bots only.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.EncryptedCredentials`
`credentials`
Encrypted data credentials.
`TdApi.EncryptedPassportElement[]`
`elements`
List of received Telegram Passport elements.

## Constructor Summary

Constructors
Constructor
Description
`MessagePassportDataReceived()`
Telegram Passport data has been received; for bots only.
`MessagePassportDataReceived(TdApi.EncryptedPassportElement[] elements, TdApi.EncryptedCredentials credentials)`
Telegram Passport data has been received; for bots only.
`MessagePassportDataReceived(DataInput input)`
Telegram Passport data has been received; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### elements

public TdApi.EncryptedPassportElement[] elements
List of received Telegram Passport elements.

### credentials

public TdApi.EncryptedCredentials credentials
Encrypted data credentials.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessagePassportDataReceived

public MessagePassportDataReceived()
Telegram Passport data has been received; for bots only.

### MessagePassportDataReceived

public MessagePassportDataReceived(TdApi.EncryptedPassportElement[] elements, TdApi.EncryptedCredentials credentials)
Telegram Passport data has been received; for bots only.

Parameters:
  `elements` - EncryptedPassportElement[] List of received Telegram Passport elements.
  `credentials` - EncryptedCredentials Encrypted data credentials.

### MessagePassportDataReceived

public MessagePassportDataReceived(DataInput input) throws IOException
Telegram Passport data has been received; for bots only.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`